Apache Qpid Broker-J AMQp túlterheléses sérülékenysége

CH azonosító: CH-14545 Cím: Apache Qpid Broker-J AMQp túlterheléses sérülékenysége Angol cím: Apache Qpid Broker-J AMQP Commands Denial of Service Vulnerability

Publikálás dátuma: 2019.03.13.


Leírás

Az Apache Qpid Broker-J magas kockázati besorolású sérülékenysége lehetőséget nyújt egy távoli, nem autentikált támadó számára, hogy túlterheléses támadást hajtson végre a célrendszer ellen.


Elemzés leírás

A sérülékenység az érintett rendszerben az AMPQ utasítások (Advanced Message Queuing Protocol) nem megfelelő feldolgozása miatt áll fenn. A támadó úgy tudja kihasználni ezt a biztonsági rést, hogy speciálisan szerkesztett, AMPQ 1.0-ás protokoll verziónál korábbi verziójú üzeneteket küld a célrendszernek, amelynek következtében az túlterhelődik.

Érintett verziók: 

Qpid Broker 6.0.0-7.0.6, valamint 7.1.0

Megoldás: 

Frissítsen a Qpid Broker-J 7.0.7, 7.1.1, vagy ennél frissebb verziójára.


Hatás

CVSS3 Severity and Metrics

Base score: 7.5 (Magas)
Vector: AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Impact Score: 3.6
Exploitability Score: 3.9


Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope (S): Unchanged
Confidentiality Impact (C): None
Integrity Impact (I): None
Availability Impact (A): High

CVSS2 Severity and Metrics

Base score: 5.0 (Közepes)
Vector: (AV:N/AC:L/Au:N/C:N/I:N/A:P)
Impact Subscore: 2.9
Exploitability Subscore: 10.0


Access Complexity (AC): Low
Confidentiality Impact (C): None
Integrity Impact (S): None
Availability Impact (A):


Hivatkozások

https://qpid.apache.org/download.html
https://tools.cisco.com/security/center/viewAlert.x?alertId=59729